QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    background.cpp \
    bottomhitbox.cpp \
    button.cpp \
    donfedejugador.cpp \
    easthitbox.cpp \
    interactable.cpp \
    main.cpp \
    points.cpp \
    proyectil.cpp \
    scene.cpp \
    suelosimple.cpp \
    tophitbox.cpp \
    vidas.cpp \
    westhitbox.cpp \
    widget.cpp \
    zombiesimple.cpp

HEADERS += \
    background.h \
    bottomhitbox.h \
    button.h \
    donfedejugador.h \
    easthitbox.h \
    interactable.h \
    points.h \
    proyectil.h \
    scene.h \
    suelosimple.h \
    tophitbox.h \
    vidas.h \
    westhitbox.h \
    widget.h \
    zombiesimple.h

FORMS += \
    widget.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    Imagenes8Bit.qrc
